﻿*************************************************************************************
***Children's version for Kiddo KINDL
***kiddo_kindl_c.

*********Recoding of raw scores.
*Negativly pooled items.
RECODE a_kind1 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind1.
RECODE a_kind2 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind2.
RECODE a_kind3 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind3.
RECODE a_kind6 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind6.
RECODE a_kind7 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind7.
RECODE a_kind8 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind8.
RECODE a_kind15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind15.
RECODE a_kind16 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind16.
RECODE a_kind20 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind20.
RECODE a_kind23 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind23.
RECODE a_kind24 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind24.


*correctly pooled items.
RECODE a_kind4 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind4.
RECODE a_kind5 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind5.
RECODE a_kind9 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind9.
RECODE a_kind10 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind10.
RECODE a_kind11 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind11.
RECODE a_kind12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind12.
RECODE a_kind13 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind13.
RECODE a_kind14 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind14.
RECODE a_kind17 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind17.
RECODE a_kind18 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind18.
RECODE a_kind19 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind19.
RECODE a_kind21 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind21.
RECODE a_kind22 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind22.
EXECUTE.

VARIABLE LABELS 
a_xind1 '… I felt ill'
a_xind2 '… I was in pain'
a_xind3 '... I was tired and worn-out'
a_xind4 '... I felt strong and full of energy'
a_xind5 '... I had fun and laughed a lot'
a_xind6 '... I wad bored'
a_xind7 '... I felt alone'
a_xind8 '... I was scared or unsure of myself'
a_xind9 '... I was proud of myself'
a_xind10 '... I felt on top of the world'
a_xind11 '... I felt pleased with myself'
a_xind12 '... I had lots of good ideas'
a_xind13 '... I got on well with my parents'
a_xind14 '... I felt fine at home'
a_xind15 '... we quarrelled at home' 
a_xind16 '... I felt restricted by my parents'
a_xind17 '... I did things together with my friend'
a_xind18 '... I was a "success" with my friends'
a_xind19 '... I got along well with my friends'
a_xind20 '... I felt different from other people'
a_xind21 '... doing the schoolwork was easy'
a_xind22 '... I found school interesting'
a_xind23 '... I worried about my future'
a_xind24 '... I worried about getting bad marks or grades'.
EXECUTE.

VALUE LABELS
a_xind1 a_xind2 a_xind3 a_xind6 a_xind7 a_xind8 a_xind15 a_xind16 a_xind20 a_xind23 a_xind24
1 'all the time'
2 'often'
3 'sometimes'
4 'seldom'
5 'never'.
EXECUTE.

VALUE LABELS
a_xind4 a_xind5 a_xind9 a_xind10 a_xind11 a_xind12 a_xind13 a_xind14 a_xind17 a_xind18 a_xind19 a_xind21 a_xind22
1 'never'
2 'seldom'
3 'sometimes'
4 'often'
5 'all the time'.
EXECUTE.

******* Total.
*Calculation of sum score.
COMPUTE total_mean = mean.17(a_xind1,a_xind2,a_xind3,a_xind4,a_xind5,a_xind6,a_xind7,a_xind8,a_xind9,a_xind10,a_xind11
,a_xind12,a_xind13,a_xind14,a_xind15,a_xind16,a_xind17,a_xind18,a_xind19,a_xind20,a_xind21,a_xind22
,a_xind23,a_xind24).

COMPUTE total_sum = total_mean*24.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE total_100 = ((total_sum-24)/96)*100.
EXECUTE.


***** Scale "Physical Well-being".
*Calculation of sum score.
COMPUTE pw_mean = mean.3(a_xind1, a_xind2, a_xind3, a_xind4).

COMPUTE pw_sum = pw_mean*4.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE pw_100 = ((pw_sum-4)/16)*100.
EXECUTE.

***** Scale "Emotional well-being".
*Calculation of sum score.
COMPUTE ew_mean = mean.3(a_xind5, a_xind6, a_xind7, a_xind8).

COMPUTE ew_sum = ew_mean*4.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE ew_100 = ((ew_sum-4)/16)*100.
EXECUTE.

***** Scale "Self-esteem".
*Calculation of sum score.
COMPUTE se_mean = mean.3(a_xind9, a_xind10, a_xind11, a_xind12).

COMPUTE se_sum = se_mean*4.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE se_100 = ((se_sum-4)/16)*100.
EXECUTE.

***** Scale "Family".
*Calculation of sum score.
COMPUTE fa_mean = mean.3(a_xind13, a_xind14, a_xind15, a_xind16).

COMPUTE fa_sum = fa_mean*4.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE fa_100 = ((fa_sum-4)/16)*100.
EXECUTE.

***** Scale "Friends".
*Calculation of sum score.
COMPUTE fr_mean = mean.3(a_xind17, a_xind18, a_xind19, a_xind20).

COMPUTE fr_sum = fr_mean*4.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE fr_100 = ((fr_sum-4)/16)*100.
EXECUTE.

***** Scale "School".
*Calculation of sum score.
COMPUTE sc_mean = mean.3(a_xind21, a_xind22, a_xind23, a_xind24).

COMPUTE sc_sum = sc_mean*4.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE sc_100 = ((sc_sum-4)/16)*100.
EXECUTE.

VARIABLE LABELS
total_mean 'KINDL - Total Quality of life mean'
total_sum 'KINDL - Total Quality of life sum'
total_100 'KINDL - Total Quality of life 100'
pw_mean 'KINDL - Physical Well-being mean'
pw_sum  'KINDL -  Physical Well-being sum'
pw_100 'KINDL -  Physcial Well-being 100'
ew_mean   'KINDL - Emotional Well-bein gmean'
ew_sum  'KINDL - Emotional Well-being sum'
ew_100 'KINDL - Emotional Well-being 100'
se_mean  'KINDL - Self-esteem mean'
se_sum 'KINDL - Self-esteem sum'
se_100 'KINDL - Self-esteem 100'
fa_mean 'KINDL - Family mean'
fa_sum 'KINDL - Family sum'
fa_100 'KINDL - Family 100'
fr_mean 'KINDL - Friend mean'
fr_sum  'KINDL - Friends sum'
fr_100 'KINDL - Friends 100'
sc_mean 'KINDL - School mean'
sc_sum 'KINDL -  School sum'
sc_100 'KINDL - School 100'.
EXECUTE.

*ADDITIONAL SCALE DISEASES MODULE.

************Recoding of raw scores.
*Negativly pooled items.
RECODE a_kind26 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind26.
RECODE a_kind27 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind27.
RECODE a_kind29 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind29.
RECODE a_kind30 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind30.
RECODE a_kind31 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind31.

*correctly pooled items.
RECODE a_kind28 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind28.
EXECUTE.

VARIABLE LABELS
a_xind26 '... my child was afraid that the illness might get worse'
a_xind27 '… my child was sad because of the illness'
a_xind28 '... my child was able to cope well with his/ her illness'
a_xind29 '... we treated our child as though he/ she were younger, because of the illness'
a_xind30 '... my child avoided others to notice his/ her illness'
a_xind31 '... my child missed something at school because of his/her illness'.

VALUE LABELS
a_xind26 a_xind27 a_xind29 a_xind30 a_xind31
1 'all the time'
2 'often'
3 'sometimes'
4 'seldom'
5 'never'.
EXECUTE.

VALUE LABELS
a_xind28
1 'never'
2 'seldom'
3 'sometimes'
4 'often'
5 'all the time'.
EXECUTE.

*****Scale "Additional Scale chronic-generic".
*Calculation of sum score.
COMPUTE cg_mean = mean.5(a_xind26, a_xind27, a_xind28, a_xind29, a_xind30, a_xind31).

COMPUTE cg_sum = cg_mean*6.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE cg_100 = ((cg_sum-6)/24)*100.
EXECUTE.

VARIABLE LABELS
cg_mean 'KINDL - chronic-generic mean'
cg_sum 'KINDL - chronic-generic sum'
cg_100 'KINDL - chronic-generic 100'.
EXECUTE.

SORT CASES BY id.
EXECUTE.
