﻿*************************************************************************************
***Children's version for Kiddy KINDL
***kiddy_kindl_c.

*********Recoding of raw scores.
*Negativly pooled items.
RECODE a_kind1 (3=1) (2=2) (1=3) INTO a_xind1.
RECODE a_kind2 (3=1) (2=2) (1=3) INTO a_xind2.
RECODE a_kind4 (3=1) (2=2) (1=3) INTO a_xind4.


*correctly pooled items.
RECODE a_kind3 (3=3) (2=2) (1=1) INTO a_xind3.
RECODE a_kind5 (3=3) (2=2) (1=1) INTO a_xind5.
RECODE a_kind6 (3=3) (2=2) (1=1) INTO a_xind6.
RECODE a_kind7 (3=3) (2=2) (1=1) INTO a_xind7.
RECODE a_kind8 (3=3) (2=2) (1=1) INTO a_xind8.
RECODE a_kind9 (3=3) (2=2) (1=1) INTO a_xind9.
RECODE a_kind10 (3=3) (2=2) (1=1) INTO a_xind10.
RECODE a_kind11 (3=3) (2=2) (1=1) INTO a_xind11.
RECODE a_kind12 (3=3) (2=2) (1=1) INTO a_xind12.
EXECUTE.

VARIABLE LABELS 
a_xind1 '… I felt ill'
a_xind2 '… I had a headache or tummy-ache'
a_xind3 '... I had fun and laughed a lot'
a_xind4 '... I wad bored'
a_xind5 '... I was proud of myself'
a_xind6 '... I felt pleased with myself'
a_xind7 '... I got on well with my parents'
a_xind8 '... I felt fine at home'
a_xind9 '... I played with friends'
a_xind10 '... I got along well with my friends'
a_xind11 '... I coped well with the assignments set in nursery school/kindergarten'
a_xind12 '... I enjoyed nursery school/kindergarten'.


VALUE LABELS
a_xind1 a_xind2 a_xind3 
1 'very often'
2 'sometimes'
3 'never'.
EXECUTE.

VALUE LABELS
a_xind4 a_xind5 a_xind6 a_xind7 a_xind8 a_xind9 a_xind10 a_xind11 a_xind12
1 'never'
2 'sometimes'
3 'very often'.
EXECUTE.

******* Total.
*Calculation of sum score.
COMPUTE total_mean = mean.9(a_xind1,a_xind2,a_xind3,a_xind4,a_xind5,a_xind6,a_xind7,a_xind8,a_xind9,a_xind10,a_xind11, a_xind12).

COMPUTE total_sum = total_mean*12.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE total_100 = ((total_sum-12)/24)*100.
EXECUTE.

VARIABLE LABELS
total_mean 'KINDL - Total Quality of life mean'
total_sum 'KINDL - Total Quality of life sum'
total_100 'KINDL - Total Quality of life 100'.
EXECUTE.


*ADDITIONAL SCALE DISEASES MODULE.

************Recoding of raw scores.
*Negativly pooled items.
RECODE a_kind14 (3=1) (2=2) (1=3) INTO a_xind14.
RECODE a_kind15 (3=1) (2=2) (1=3) INTO a_xind15.
RECODE a_kind17 (3=1) (2=2) (1=3) INTO a_xind17.
RECODE a_kind18 (3=1) (2=2) (1=3) INTO a_xind18.
RECODE a_kind19 (3=1) (2=2) (1=3) INTO a_xind19.

*correctly pooled items.
RECODE a_kind16 (3=3) (2=2) (1=1) INTO a_xind16.
EXECUTE.

VARIABLE LABELS
a_xind14 '... I was afraid that my illness might get worse'
a_xind15 '… I was sad because of my illness'
a_xind16 '... I was able to cope well with my illness'
a_xind17 '... my parents treated me like a baby because of my illness'
a_xind18 '... I wanted nobody to notice my illness'
a_xind19 '... I missed something at school because of my illness'.

VALUE LABELS
a_xind14 a_xind15 a_xind17 a_xind18 a_xind19 
1 'all the time'
2 'often'
3 'sometimes'
4 'seldom'
5 'never'.
EXECUTE.

VALUE LABELS
 a_xind16
1 'never'
2 'seldom'
3 'sometimes'
4 'often'
5 'all the time'.
EXECUTE.

*****Scale "Additional Scale chronic-generic".
*Calculation of sum score.
COMPUTE cg_mean = mean.5(a_xind14, a_xind15, a_xind16, a_xind17, a_xind18, a_xind19).

COMPUTE cg_sum = cg_mean*6.
EXECUTE.

*Calculation of scale transformed to 100.
COMPUTE cg_100 = ((cg_sum-6)/12)*100.
EXECUTE.


VARIABLE LABELS
cg_mean 'KINDL - chronic-generic mean'
cg_sum 'KINDL - chronic-generic sum'
cg_100 'KINDL - chronic-generic 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.
